Package be.vlaanderen.mercurius.vsb.common.v2

# Class ConsultViewWithTimePeriodRequest

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.ConsultViewWithTimePeriodRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultViewWithTimePeriodRequest extends Object implements Serializable
used: ConsultAffiliabilityView.xsd, ConsultAffiliationView.xsd, ConsultContributionObligationView.xsd, ConsultContributionView.xsd, ConsultExemptionView.xsd, ConsultFineView.xsd, ConsultMutationView.xsd, ConsultSuspensionFineYearView.xsd

Java class for ConsultViewWithTimePeriodRequest complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultViewWithTimePeriodRequest">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}SSINType"/>
             <element name="TimePeriod" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}TimePeriodType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultViewWithTimePeriodRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSSIN()`
  Gets the value of the ssin property.
  `TimePeriodType`
  `getTimePeriod()`
  Gets the value of the timePeriod property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.
  `void`
  `setTimePeriod(TimePeriodType value)`
  Sets the value of the timePeriod property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultViewWithTimePeriodRequest

    public ConsultViewWithTimePeriodRequest()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    Gets the value of the ssin property.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTimePeriod

    public TimePeriodType getTimePeriod()
    Gets the value of the timePeriod property.
    Returns:
      possible object is `TimePeriodType`

  - ### setTimePeriod

    public void setTimePeriod(TimePeriodType value)
    Sets the value of the timePeriod property.
    Parameters:
      `value` - allowed object is `TimePeriodType`